GenPlot (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.util
Class GenPlot

    java.lang.Object
      fr.inrialpes.exmo.align.util.GenPlot

    public class GenPlot

extends Object

A basic class for synthesizing the alignment results of an algorithm by a precision recall graph. These graphs are however computed on averaging the precision recall/graphs on test directories instead of recording the actual precision recall graphs which would amount at recoding all the valid and invalid alignment cells and their level.

      java -cp procalign.jar fr.inrialpes.exmo.align.util.GenPlot [options]

where the options are:

      -o filename --output=filename
      -d debug --debug=level
      -l list of compared algorithms
      -t output --type=output: xml/tex/html/ascii
      -e classname --evaluator=classname
      -g classname --grapher=classname

The input is taken in the current directory in a set of subdirectories (one per test) each directory contains a the alignment files (one per algorithm) for that test and the reference alignment file. If output is requested (`-o` flags), then output will be written to `output` if present, stdout by default. In case of the Latex output, there are numerous files generated (regardless the `-o` flag).

     $Id: GenPlot.java 1356 2010-03-25 14:19:41Z euzenat $

Author:
  Jérôme Euzenat

Field Summary
`(package private) int` | `debug`
`(package private) Constructor` | `evalConstructor`
`(package private) String` | `fileNames`
`(package private) Constructor` | `graphConstructor`
`(package private) Vector<String>` | `listAlgo`
`(package private) Vector<GraphEvaluator>` | `listEvaluators`
`(package private) String` | `outFile`
`(package private) PrintWriter` | `output`
`(package private) Properties` | `params`
`(package private) int` | `size`
`(package private) int` | `STEP`
`(package private) String` | `type`
`(package private) String` | `xlabel`
`(package private) String` | `ylabel`

Constructor Summary
`GenPlot()`

Method Summary
`void` | `iterateAlignments(File dir, Vector<GraphEvaluator> evaluators)`
`Vector<GraphEvaluator>` | `iterateDirectories()` Iterate on each subdirectory Returns a vector[ each algo ] of vector [ each point ] The points are computed by aggregating the values (and in the end computing the average)
`static void` | `main(String[] args)`
`void` | `printPGFTex(Vector<Vector<Pair>> result)` This does average plus plot
`void` | `printTSV(Vector<Vector<Pair>> points)`
`void` | `run(String[] args)`
`Vector<Pair>` | `scaleResults(int STEP, Vector<Pair> input)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEP

    int STEP

### params

    Properties params

### listAlgo

    Vector<String> listAlgo

### listEvaluators

    Vector<GraphEvaluator> listEvaluators

### fileNames

    String fileNames

### outFile

    String outFile

### evalConstructor

    Constructor evalConstructor

### graphConstructor

    Constructor graphConstructor

### ylabel

    String ylabel

### xlabel

    String xlabel

### type

    String type

### debug

    int debug

### size

    int size

### output

    PrintWriter output

Constructor Detail

### GenPlot

    public GenPlot()

Method Detail

### main

    public static void main(String[] args)

### run

    public void run(String[] args)
             throws Exception

  Throws:
    `Exception`

### iterateDirectories

    public Vector<GraphEvaluator> iterateDirectories()

  Iterate on each subdirectory Returns a vector[ each algo ] of vector [ each point ] The points are computed by aggregating the values (and in the end computing the average)

### iterateAlignments

    public void iterateAlignments(File dir,
                                  Vector<GraphEvaluator> evaluators)

### scaleResults

    public Vector<Pair> scaleResults(int STEP,
                                     Vector<Pair> input)

### printPGFTex

    public void printPGFTex(Vector<Vector<Pair>> result)

  This does average plus plot

### printTSV

    public void printTSV(Vector<Vector<Pair>> points)

### usage

    public void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010